summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-perl-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-perl-2')
-rwxr-xr-xgettext-tools/tests/xgettext-perl-251
1 files changed, 51 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-perl-2 b/gettext-tools/tests/xgettext-perl-2
new file mode 100755
index 0000000..85f0464
--- /dev/null
+++ b/gettext-tools/tests/xgettext-perl-2
@@ -0,0 +1,51 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test of Perl support with ISO-8859-1 encoded input.
+
+cat <<\EOF > xg-pl-2.pl
+use charnames ':full';
+printf "%s\n", gettext "Böse Bübchen - wo sind sie blo\N{LATIN SMALL LETTER SHARP S}?";
+print gettext <<STR
+Die europäische Währung ist \N{EURO SIGN}.
+STR
+EOF
+
+: ${XGETTEXT=xgettext}
+# delete POT-Creation-Date: line because the date depends on local time.
+${XGETTEXT} --output - --from-code=ISO-8859-1 xg-pl-2.pl \
+ | sed '/\"POT-Creation-Date:.*/d' | LC_ALL=C tr -d '\r' > xg-pl-2.po || exit 1
+
+cat <<\EOF > xg-pl-2.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: xg-pl-2.pl:2
+msgid "Böse Bübchen - wo sind sie bloß?"
+msgstr ""
+
+#: xg-pl-2.pl:4
+msgid "Die europäische Währung ist €.\n"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-pl-2.ok xg-pl-2.po
+result=$?
+
+exit $result